HyperTrackDocs
Tracking

Get tracking data

Fetch tracking data for a tracking id.

GET
/tracking/{tracking_id}

Fetch tracking data for a tracking id.

Path Parameters

tracking_id*string

Query Parameters

include_inferences?|

indicate whether to include inferences or not

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/tracking/string"
{  "order": {    "order_handle": "string",    "route_handle": "string",    "scheduled_at": "string",    "planned_at": "string",    "assigned_at": "string",    "started_at": "string",    "arrived_at": "string",    "exited_at": "string",    "completed_at": "string",    "cancelled_at": "string",    "start_address": "string",    "destination": {      "address": "string",      "geometry": {        "type": "string",        "coordinates": [          null        ]      },      "radius": 0,      "accuracy": 0,      "bearing": 0,      "speed": 0    },    "summary": {      "distance": 0,      "duration": 0,      "locations": [        {          "lat": 0,          "lon": 0,          "timestamp": "string"        }      ]    },    "estimate": {      "start_by": "string",      "distance": 0,      "duration": 0,      "polyline": {        "type": "string",        "coordinates": [          null        ]      },      "start_location": {        "type": "string",        "coordinates": [          null        ]      },      "end_location": {        "type": "string",        "coordinates": [          null        ]      },      "arrive_at": "string"    },    "status": "string",    "attachments": [      {        "property1": null,        "property2": null      }    ],    "metadata": {      "property1": null,      "property2": null    },    "timezone": "string"  },  "driver": {    "driver_handle": "string",    "device_id": "string",    "device_model": "string",    "name": "string",    "location": {      "geometry": {        "type": "string",        "coordinates": [          null        ]      },      "bearing": 0,      "accuracy": 0,      "speed": 0,      "recorded_at": "string"    },    "status": "string"  },  "inferences": {    "destination_inferences": {      "locations": [        {          "geometry": {            "type": "string",            "coordinates": [              null            ]          },          "inferences": [            {              "location": {                "type": "string",                "coordinates": [                  null                ]              },              "score": 1,              "timestamp": "2019-08-24T14:15:22Z"            }          ]        }      ],      "service_area": [        {          "type": "string",          "coordinates": [            null          ]        }      ],      "geofences": [        {          "geometry": {            "type": "Polygon",            "coordinates": [              [                [                  0                ]              ]            ]          },          "source": "customer_provided",          "inclusivity": "string",          "skew": 0,          "area_ratio": 0,          "centroid_shift": 0        }      ]    },    "order_inferences": {      "parking": [        {          "type": "string",          "coordinates": [            null          ]        }      ],      "checkin": [        {          "type": "string",          "coordinates": [            null          ]        }      ]    }  }}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}